Subject: Re: [Gen-art] review of draft-ietf-trill-centralized-replication-10.txt

From: Donald Eastlake <[email-masked]>
Date: Thu, 4 Jan 2018 18:13:31 -0500

Hi Francis,

I believe your comments are resolved in the -10 version of this draft. I
expect a -11 version to be posted soon with a few other minor improvements.
So, you might want to check the current -10 version or the -11 version when
it is posted.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Mon, Dec 11, 2017 at 11:29 AM, Francis Dupont <[email-masked]>
wrote:

> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
>
> For more information, please see the FAQ at
>
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
>
> Document: draft-ietf-trill-centralized-replication-10.txt
> Reviewer: Francis Dupont
> Review Date: 20171209
> IETF LC End Date: 20171212
> IESG Telechat date: unknown
>
> Summary: Ready with Issues
>
> Major issues: None
>
> Minor issues: C-nickname is used before being defined
>
> Nits/editorial comments:
>  - Abstract page 1: please expand the RPF abbrev
>
>  - Abstract page 1 and 1 page 3: Mutlicast -> Multicast
>
>  - ToC page 2 and 3 title page 5:
>   Centralized Replication Solution Overview -> Centralized replication
>   solution overview
>   (mainly for consistency)
>
>  - ToC page 2 and 6 title page 8: a edge group -> an edge group
>   (It seems both are accepted?)
>
>  - ToC page 2 and 9 title page 12: I have a little concern with the
>   CMT abbrev which BTW is not in the RFC Editor list
>   (https://www.rfc-editor.org/materials/abbrev.expansion.txt)
>   I suggest to add "(RFC 7783)" after CMT
>
>  - ToC page 3 and 10 title page 13:
>   Network Upgrade Analysis -> Network upgrade analysis
>   (still consistency)
>
>  - 1 page 3: at the first read it was not obvious that RBv is just the
>   notation for a virtual RBridge. I suggest to do the same than for RBn,
>   i.e., to change the first occurrence from RBv to (RBv).
>
>  - 1 page 3: my US English spell checker does not accept learnt
>   (it wants learned ???)
>
>  - 2 page 4: please move from RFC 2119 to its update RFC 8174
>
>  - 2 page 4: LAALP -Local -> LAALP - Local
>
>  - 3 page 5 title: cf ToC comment
>
>  - 3 page 5: " BUM packet should be..." an example of a lower case
>   "should" which can take benefit of RFC 8174 (vs RFC 2119). Note
>   there are two other "should"s next page and a "may" in 4 (and other
>   lower case keywords).
>
>  - 3 page 6: C-nickname is used without explanation of what it is
>   (the explanation is in 9 page 12 so far later). Some words and/or
>   a forward reference should solve the issue.
>
>  - 8 page 11 (last line): nodes/ multiple -> nodes / multiple
>
>  - 9 page 12 title: cf ToC comment
>
>  - 9 page 12: CMT -> Coordinated Multicast Trees (CMT)
>   (at the first occurrence, i.e., first line after figure 2)
>
>  - 9 page 12: the definition of C-nickname is here.
>   BTW you use both C-flag and C-nickname flag, the second is not
>   very correct from a language point of view but is very clear
>   technically so I shan't object if you keep it.
>
>  - 10 page 13 title: cf ToC comment
>
>  - 11 page 13: psudo -> pseudo
>
>  - Authors' Addresses page 17 (two occurrences): China -> PR China
>   (or you can switch all countries to ISO IS 3166 two letter codes)
>
> Regards
>
> [email-masked]
>

---

From: Donald Eastlake <[email-masked]>
Date: Thu, 4 Jan 2018 18:16:56 -0500

Hi Francis,

Sorry, my verison numbers are all off by 1 :-(

The currently posted version is -11. I expect a -12 to be posted very soon.

Thanks,
Donald

On Thu, Jan 4, 2018 at 6:13 PM, Donald Eastlake <[email-masked]> wrote:

>  Donald E. Eastlake 3rd   +1-508-333-2270 <(508)%20333-2270> (cell)
> On Mon, Dec 11, 2017 at 11:29 AM, Francis Dupont <
> [email-masked]> wrote:
>